Loading...
Searching...
No Matches
Dune::cpgrid::GlobalIdSet Class Reference

The global id set for Dune. More...

`#include <Indexsets.hpp>`

## Classes

struct | Codim
| Export supported entity types. More...

## Public Types

using | IdType = typename LevelGlobalIdSet::IdType
| The type of the id.

## Public Member Functions

| GlobalIdSet (const CpGridData &view)
template<int codim>
IdType | id (const typename Codim< codim >::Entity &e) const
template<class EntityType>
IdType | id (const EntityType &e) const
template<int cc>
IdType | subId (const typename Codim< 0 >::Entity &e, int i) const
IdType | subId (const typename Codim< 0 >::Entity &e, int i, int cc) const
void | insertIdSet (const CpGridData &view)

## Static Public Attributes

static constexpr int | dimension = 3

## Detailed Description

The global id set for Dune.

You can pass it any entity of either the loadbalanced or global grid that is stored on this process.

The documentation for this class was generated from the following files:

- opm/grid/cpgrid/Indexsets.hpp
- opm/grid/cpgrid/Indexsets.cpp